{$APPTYPE CONSOLE}

uses
  SysUtils;

type
  TMatrix = array[0..6] of array[0..4] of char;

const
  LetterA: TMatrix = (
    '..#..',
    '.#.#.',
    '#...#',
    '#...#',
    '#####',
    '#...#',
    '#...#'
  );

  MaxA = 100;
  MaxN = 10*1000;

var
  a: array of array of char;
  i, j, n, x, y: integer;
  fo: text;

procedure DrawLetterA(x, y: integer);
var i, j: integer;
begin
  for i := y to y+6 do
    for j := x to x+4 do
      begin
        if (a[i, j] <> '#') then a[i, j] := LetterA[i-y, j-x];
      end;
end;

begin
  x := StrToInt(ParamStr(1));
  y := StrToInt(ParamStr(2));
  n := StrToInt(ParamStr(3));
  randseed := StrToInt(ParamStr(4));
  SetLength(a, y, x);
  for i := 0 to y-1 do
    for j := 0 to x-1 do
      a[i, j] := '.';
  AssignFile(fo, 'input.txt');
  rewrite(fo);
  for i := 1 to n do
    begin
      DrawLetterA(random(x-4), random(y-6));
    end;
  writeln(fo, x, ' ', y);
  for i := 0 to y-1 do
    begin
      for j := 0 to x-1 do
        write(fo, a[i, j]);
      writeln(fo);
    end;
  CloseFile(fo);
end.